/* AMX Mod X

	Scoreboard Updater plugin by KORD_12.7 and Lev

	http://aghl.ru/forum/ - Russian Half-Life and Adrenaline Gamer Community

	This file is provided as is (no warranties)

	URL: http://aghl.ru/forum/viewtopic.php?f=19&t=683

	Info:
		Plugin allows to show players in scoreboard in usual deathmatch in two groups: players and spectators separately.
		This plugin designed to work only in conjunction with bugfixed HL server dll/so.
		Plugin named in honor of SU-27 - best fight aircraft. :D

	ChangeLog:
		v2.7 [2012.03.08]
			Initial release.
*/

#include <amxmodx>
#include <fakemeta>

#define AUTHOR "KORD_12.7, Lev"
#define PLUGIN "Scoreboard Updater"
#define VERSION "2.7"
#define VERSION_CVAR "su_version"

new g_IsTeamplay;

public plugin_init()
{
	register_plugin(PLUGIN, VERSION, AUTHOR);
	register_cvar(VERSION_CVAR, VERSION, FCVAR_SPONLY | FCVAR_SERVER);

	register_message(get_user_msgid("GameMode"), "MsgGameMode");
	register_message(get_user_msgid("TeamInfo"), "MsgTeamInfo");
}

public MsgGameMode(msg_id, msg_dest, msg_entity)
{
	g_IsTeamplay = get_msg_arg_int(1);
	set_msg_arg_int(1, 0, 1);	// Always send teamplay mode to use team names in score board
	return PLUGIN_CONTINUE;
}

public MsgTeamInfo(msg_id, msg_dest, msg_entity)
{
	if (!g_IsTeamplay && !pev(get_msg_arg_int(1), pev_iuser1))
		set_msg_arg_string(2, "Players");
	return PLUGIN_CONTINUE;
}
